Package mvpa :: Package tests :: Module tests_warehouse

[hide private]
[frames] | no frames]

# Module tests_warehouse

source code

Miscelaneous functions/datasets to be used in the unit tests

Functions | [hide private]

sweepargs(**kwargs) Decorator function to sweep over a given set of classifiers | source code

Variables | [hide private]

| unittest
| N
| _all_states_enabled = `False`
| snr_scale = `cfg.getAsDType('tests', 'snr scale', float, defaul`...``
| specs = `{'large': {'perlabel': 99, 'nchunks': 11, 'nfeatures':`...``
| nonbogus_pool = `[0, 1, 3, 5]`
| datasets = `{}`
| _dsinv = `dumbFeatureDataset()`

Imports: environ, traceback, sys, cfg, Dataset, OddEvenSplitter, MaskedDataset, Classifier, ClassWithCollections, debug

Function Details | [hide private]

### sweepargs(**kwargs)

source code

Decorator function to sweep over a given set of classifiers

Often some unittest method can be ran on multiple classifiers. So this decorator aims to do that

Parameters:
  - `clfs` (list of Classifier) - List of classifiers to run method on

Variables Details | [hide private]

### snr_scale

Value:

      cfg.getAsDType('tests', 'snr scale', float, default= 1.0)

### specs

Value:

      {'large': {'perlabel': 99, 'nchunks': 11, 'nfeatures': 20, 'snr': 8* s
      nr_scale}, 'medium': {'perlabel': 24, 'nchunks': 6, 'nfeatures': 14, '
      snr': 8* snr_scale}, 'small': {'perlabel': 12, 'nchunks': 4, 'nfeature
      s': 6, 'snr': 14* snr_scale}}